Package: org.gradle.api.tasks.scala

## [Java] Class ScalaCompile

- org.gradle.api.tasks.scala.ScalaCompile

- Compiles Scala source files, and optionally, Java source files.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SourceTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `compile()`
    `CompileOptions` | `getOptions()` Returns the Java compilation options.
    `FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the Scala compiler.
    `ScalaCompileOptions` | `getScalaCompileOptions()` Returns the Scala compilation options.
    `FileCollection` | `getZincClasspath()` Returns the classpath to use to load the Zinc incremental compiler.
    `void` | `setScalaClasspath(FileCollection scalaClasspath)`
    `void` | `setZincClasspath(FileCollection zincClasspath)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCompile` | `compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`
    `class SourceTask` | `source, getSource, include, include, include, include, include, include, include, include, setSource, getIncludes, setIncludes, setIncludes, exclude, exclude, exclude, exclude, exclude, exclude, exclude, exclude, getExcludes, setExcludes, setExcludes, conventionMapping, conventionMapping, getConventionMapping, setProperty, toString, compareTo, compareTo, getName, getActions, getState, getState, setName, getPath, getExtensions, getLogger, execute, configure, configure, getDescription, leftShift, isEnabled, property, setEnabled, getLogging, getLogging, hasProperty, getConvention, setDescription, getGroup, setGroup, dependsOnTaskDidWork, getInputs, getTemporaryDir, mustRunAfter, setMustRunAfter, getMustRunAfter, finalizedBy, setFinalizedBy, getFinalizedBy, shouldRunAfter, setShouldRunAfter, getShouldRunAfter, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, doLast, doLast, deleteAllActions, getEnabled, getAnt, getOutputs, getOutputs, setActions, getTaskDependencies, getTaskDependencies, getDependsOn, setDependsOn, dependsOn, onlyIf, onlyIf, getProject, getStandardOutputCapture, getAsDynamicObject, getTaskActions, getOnlyIf, executeWithoutThrowingTaskFailure, getExecuter, setExecuter, getValidators, addValidator, setProject, getImpliesSubProjects, setImpliesSubProjects, getTemporaryDirFactory, injectIntoNewInstance, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @TaskAction protected void compile()

    - #### @Nested public CompileOptions getOptions()

      Returns the Java compilation options.

    - #### @InputFiles public FileCollection getScalaClasspath()

      Returns the classpath to use to load the Scala compiler.

    - #### @Nested public ScalaCompileOptions getScalaCompileOptions()

      Returns the Scala compilation options.

    - #### @InputFiles public FileCollection getZincClasspath()

      Returns the classpath to use to load the Zinc incremental compiler. This compiler in turn loads the Scala compiler.

    - #### public void setScalaClasspath(FileCollection scalaClasspath)

    - #### public void setZincClasspath(FileCollection zincClasspath)